# -*- coding: utf-8 -*-
from enum import Enum


class MetaType(Enum):
    Text = "text"
    HTML = "html"
    Date = "date"
    Location = "location"
    # Element's original structure reference (intended to be indexed)
    Reference = "reference"
    Numeric = "numeric"
    URL = "url"


class ProcessMode(Enum):
    Files = "files"
    Repository = "repository"
    IIIF = "iiif"
    Workers = "workers"
    Template = "template"
    S3 = "s3"
    Training = "training"
    Local = "local"
    Dataset = "dataset"
